<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}idelibre{% endblock %}</title>

    {% for path in encore_entry_css_files('app') %}
        <link rel="stylesheet" type="text/css" href="{{ nginx }}{{path}}">
    {% endfor %}

</head>
<body>
<div class="container-fluid">

    <img src="{{ nginx }}{{ asset('assets/img/editor_logo.png') }}" style="width: 200px" alt="ls"
         class="float-end">

    <div>Généré le {{ date() | date('d/m/Y à H:i' , timezone) }}</div>

    <h3> {{ sitting.name }} - {{ sitting.date | date('d/m/Y à H:i', timezone) }}</h3>
    <h4>{% if sitting.place != '' %}{{"Lieu : " ~ sitting.place }}{% endif %}</h4>

    <div class="m-5">
        <h3 class="mb-2">Elus</h3>

        <div>
            <p> Présent dans la salle : {{ inTheRoom}} | Suppléants présents : {{ deputiesPresent }} | Pouvoirs donnés : {{ poa}} | Quorum : {{ quorum }}</p>
        </div>

        <table class="table table-striped mt-4">
            <thead>
            <tr class="d-flex text-start">
                <th style="width: 15%;">Nom</th>
                <th style="width: 15%;">Envoi</th>
                <th style="width: 15%;">Reception</th>
                <th style="width: 15%;">Groupe politique</th>
                <th style="width: 25%;">Présence</th>
                <th style="width: 15%;">Mandataire/Suppléant</th>
            </tr>
            </thead>
            <tbody>
            {% for convocation in convocations %}
                {% if convocation.user.role.name == 'Actor' or convocation.user.role.name == 'deputy' %}
                    <tr class="d-flex text-start">
                        <td style="width: 15%;">{{ convocation.user.lastName }} {{ convocation.user.firstName }}</td>
                        <td style="width: 15%;">{{ convocation.sentTimestamp ? convocation.sentTimestamp.createdAt | date('d/m/Y H:i', timezone) : '' }} </td>
                        <td style="width: 15%;">{{ convocation.receivedTimestamp ? convocation.receivedTimestamp.createdAt | date('d/m/Y H:i', timezone) : '' }} </td>
                        <td style="width: 15%;">{{ convocation.user.party ? convocation.user.party.name : '' }} </td>
                        <td style="width: 25%;">
                            {% if convocation.attendance is same as "present" %} Présent {% endif %}
                            {% if convocation.attendance is same as "absent" %} Absent {% endif %}
                            {% if convocation.attendance is same as "remote" %} A distance {% endif %}
                            {% if convocation.attendance is same as "poa" %} Donne pouvoir par procuration {% endif %}
                            {% if convocation.attendance is same as "deputy" %} Remplacé par son suppléant {% endif %}
                        </td>
                        <td style="width: 15%;">
                            {% if convocation.mandator is not null or convocation.deputy is not null %}
                                {% if convocation.attendance is same as "poa" %} {{ convocation.mandator.lastName}} {{ convocation.mandator.firstname}} {% endif %}
                                {% if convocation.attendance is same as "deputy" %} {{ convocation.deputy.lastName}} {{ convocation.deputy.firstname}} {% endif %}
                            {% endif %}
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="m-5">
        <h3 class="mb-3">Personnels administratifs </h3>
        <table class="table table-striped mt-4">
            <thead>
            <tr class="d-flex text-start">
                <th style="width: 15%;">Nom</th>
                <th style="width: 15%;">Envoi</th>
                <th style="width: 15%;">Reception</th>
                <th style="width: 25%;">Role</th>
                <th style="width: 30%;">Présence</th>
            </tr>
            </thead>
            <tbody>
            {% for convocation in convocations %}
                {% if convocation.user.role.name == 'Employee' or convocation.user.role.name == 'Secretary' or convocation.user.role.name == 'Admin' %}
                    <tr class="d-flex text-start">
                        <td style="width: 15%;">{{ convocation.user.lastName }} {{ convocation.user.firstName }} </td>
                        <td style="width: 15%;">{{ convocation.sentTimestamp ? convocation.sentTimestamp.createdAt | date('d/m/Y H:i', timezone) : '' }} </td>
                        <td style="width: 15%;">{{ convocation.receivedTimestamp ? convocation.receivedTimestamp.createdAt | date('d/m/Y H:i', timezone) : '' }} </td>
                        <td style="width: 25%;">{{ convocation.user.role.prettyName }}</td>
                        <td style="width: 30%;">
                            {% if convocation.attendance is same as "present" %} Présent {% endif %}
                            {% if convocation.attendance is same as "absent" %} Absent {% endif %}
                            {% if convocation.attendance is same as "remote" %} A distance {% endif %}
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
            </tbody>
        </table>
    </div>

    <div class="m-5">
        <h3 class="mb-3">Invités</h3>
        <table class="table table-striped mt-4">
            <thead>
            <tr class="d-flex text-start">
                <th style="width: 15%;">Nom</th>
                <th style="width: 15%;">Envoi</th>
                <th style="width: 15%;">Reception</th>
                <th style="width: 25%;">Role</th>
                <th style="width: 30%;">Présence</th>
            </tr>
            </thead>
            <tbody>
            {% for convocation in convocations %}
                {% if convocation.user.role.name == 'Guest' %}
                    <tr class="d-flex text-start">
                        <td style="width: 15%;">{{ convocation.user.firstName }} {{ convocation.user.lastName }} </td>
                        <td style="width: 15%;">{{ convocation.sentTimestamp ? convocation.sentTimestamp.createdAt | date('d/m/Y H:i', timezone) : '' }} </td>
                        <td style="width: 15%;">{{ convocation.receivedTimestamp ? convocation.receivedTimestamp.createdAt | date('d/m/Y H:i', timezone) : '' }} </td>
                        <td style="width: 25%;">{{ convocation.user.role.prettyName }}</td>
                        <td style="width: 30%;">
                            {% if convocation.attendance is same as "present" %} Présent {% endif %}
                            {% if convocation.attendance is same as "absent" %} Absent {% endif %}
                            {% if convocation.attendance is same as "remote" %} A distance {% endif %}
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
            </tbody>
        </table>


        <h3 class="mb-3 mt-5">Projets</h3>
        <table class="table table-striped mt-4">
            <thead>
            <tr class="d-flex text-start">
                <th style="width: 15%;">Rang</th>
                <th style="width: 85%;">Nom</th>

            </tr>
            </thead>
            <tbody>
                {% for project in sitting.projects %}
                    <tr>
                        <td style="width:15%">{{ project.rank + 1 }}</td>
                        <td style="width:85%">{{ project.name }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>

</div>

</body>


</html>
